# New ports collection makefile for: gtkada-gps
# Date created:		31 Dec 2006
# Whom:			John Merryweather Cooper
#
# $FreeBSD$
#

PORTNAME=	gtkada-gps
PORTVERSION=	3.1.3
CATEGORIES=	x11-toolkits
MASTER_SITES=	http://libre.adacore.com/
EXTRACT_SUFX=	-src.tgz

MAINTAINER=	john_m_cooper@yahoo.com
COMMENT=	GNOME Gtk2 Ada Binding

BUILD_DEPENDS=	gnatmake:${PORTSDIR}/lang/gnat

CONFLICTS=	gtkada-[0-9]* gtkada-devel-[0-9]* gtkada-gcc-[0-9]*

USE_GNOME=	gtk20 libglade2
USE_GMAKE=	yes
USE_LDCONFIG=	yes
GNU_CONFIGURE=	yes

# Check for GNAT sources.
.if !exists(${DISTDIR}/${DISTFILE}) && !defined(PACKAGE_BUILDING)
ECHO_MSG=	${PRINTF}
IGNORE=Because of licensing and registration restrictions, you must fetch\n \
	the source distribution manually.  Please access\n \
	http://libre.adacore.com/\ with a web browser, register\n \
	(It's free!) and log in.  Download the source files:\n\n \
	\t${DISTFILE}\n\n \
	and place them in ${DISTDIR}\n
	${ECHO_MSG} ${IGNORE}
.endif

WRKSRC=		${WRKDIR}/GtkAda-2.4.2

.include <bsd.port.mk>
